#include <iostream>

using namespace std;

int main()
{
    string a,b,c;
    cin>>a>>b>>c;
    string s1=a+b+c;
    string s2=a+c+b;
    string s3=b+a+c;
    string s4=b+c+a;
    string s5=c+a+b;
    string s6=c+b+a;
    int l=s1.length();
    int br[6][l];
    for(int i=0;i<l;i++)
    {
        br[0][i]=s1[i]-'0';
    }
    for(int i=0;i<l;i++)
    {
        br[1][i]=s2[i]-'0';
    }
    for(int i=0;i<l;i++)
    {
        br[2][i]=s3[i]-'0';
    }
    for(int i=0;i<l;i++)
    {
        br[3][i]=s4[i]-'0';
    }
    for(int i=0;i<l;i++)
    {
        br[4][i]=s5[i]-'0';
    }
    for(int i=0;i<l;i++)
    {
        br[5][i]=s6[i]-'0';
    }
    bool n[6];
    for(int j=0;j<6;j++)
        {
            n[j]=true;
        }
    for(int i=0;i<l;i++)
    {
        int m=0;
        for(int j=0;j<6;j++)
        {
            if(br[j][i]>m&&n[j])
                m=br[j][i];
        }
        for(int j=0;j<6;j++)
        {
            if(br[j][i]!=m)
                n[j]=false;
        }
        m=0;
    }

    for(int i=0;i<6;i++)
    {
        if(n[i])
        {
            for(int j=0;j<l;j++)
                cout << br[i][j];
            return 0;
        }
    }
    return 0;
}